Subject: Survival BLANKET Holds 90% of Body Heat (NASA Design).

From: "Survival Blanket" <[email-masked]>
Date: Wed, 25 Jan 2017 16:45:45 -0800

Your email client does not support HTML, this email must be viewed in HTML mode.